AbuseFilter warnings are shown while translating in ContentTranslation for filters that don't affect publishing
Closed, ResolvedPublic

Description

AbuseFilter warnings are shown while translating in ContentTranslation when any filter is triggered. This is overkill, and it causes issues such as T132258 and T136540.

The idea of showing warnings in ContentTranslation is to help users avoid issues that don't allow them to publish. Some filter only are only for statistics and logging and not for content blocking, and ContentTranslation must ignore them.

It's easy to query for info about an AbuseFilter by using the list=abusefilters query with the filter number and asking for "actions" in the "abfprop" parameter.

I could find the following actions:

'flag',
'throttle',
'warn',
'disallow',
'blockautopromote',
'block',
'degroup',
'tag'

CX must definitely show warnings for "disallow" and "block". It may show warnings for "throttle", "warn", "blockautopromote" and "degroup", because it may hint that the action would be disruptive. It must not show warnings for filters that only do "flag" or "tag" (but of course it must show warnings for filters that do both "tag" and "disallow").

Amire80 created this task.May 31 2016, 4:03 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 31 2016, 4:03 AM
Arrbee triaged this task as "Normal" priority.Jun 1 2016, 7:24 AM
Nikerabbit moved this task from Backlog to In Progress on the Language-Q4-2016-Sprint 4 board.
Nikerabbit moved this task from Backlog to CX9 on the Language-Engineering April-June 2016 board.

Change 292352 had a related patch set uploaded (by Nikerabbit):
Do not warn users about AbuseFilter rules that do not affect publishing

https://gerrit.wikimedia.org/r/292352

Nikerabbit moved this task from Backlog to CX9 on the ContentTranslation board.Jun 2 2016, 1:54 PM
Nikerabbit moved this task from In Progress to In Review on the Language-Q4-2016-Sprint 4 board.

Change 292352 merged by jenkins-bot:
Do not warn users about AbuseFilter rules that do not affect publishing

https://gerrit.wikimedia.org/r/292352

Arrbee moved this task from In Review to QA on the Language-Q4-2016-Sprint 4 board.Jun 9 2016, 8:03 AM
Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 15 2016, 6:35 AM
Amire80 edited the task description. (Show Details)Jun 19 2016, 9:50 AM
Amire80 closed this task as "Resolved".Jul 20 2016, 6:19 AM